play.data.validation

## Annotation Type CheckWith

    @Retention(value=RUNTIME)
     @Target(value={FIELD,PARAMETER})
     @Constraint(checkWith=CheckWithCheck.class)
    public @interface CheckWith

### Required Element Summary

Required Elements
`java.lang.Class<? extends Check>` `value`

### Optional Element Summary

Optional Elements
`java.lang.String` `message`

### Element Detail

#### value

    public abstract java.lang.Class<? extends Check> value

#### message

    public abstract java.lang.String message

Default:
  "validation.invalid"